Passa al contenuto principale
Mantieni operativa la tua attività durante l’emergenza COVID-19Ulteriori informazioni
Chiamaci
Numeri di telefono e orari
Centro assistenza

Esplora le nostre risorse di assistenza online

BlogAiuto

GoDaddy Aiuto

Abbiamo cercato di tradurti questa pagina. È disponibile anche la versione in inglese.

Correggi gli errori del plug -in di WordPress

Segui questi passaggi per correggere gli errori dei plug -in in WordPress.

Prepara il tuo sito WordPress per la risoluzione dei problemi:

  1. Dovresti sempre fare un backup del tuo sito prima di procedere alla risoluzione dei problemi.
  2. Disabilita tutti i plug -in di WordPress ; in particolare eventuali plug -in di memorizzazione nella cache.
  3. Disabilita WP_CACHE se il tuo sito lo utilizza.

Comprensione di un errore PHP correlato a WordPress

Se la tua precedente risoluzione dei problemi ha rivelato un errore PHP, usa la seguente tabella per capire meglio l'errore.


Tipo di errore Definizione e passaggi successivi
E_ERROR Si tratta di un errore irreversibile che causa la chiusura dello script. Questi sono in genere causati dalla chiamata di un oggetto inesistente come una classe o una funzione. Questo può verificarsi spesso con l'incompatibilità della versione. È necessario aggiornare la versione, i temi e i plug -in di WordPress.
E_AVVERTENZA Si tratta di un avviso di runtime che non causa la chiusura dello script. Si tratta di potenziali problemi che si verificano ma non interrompono l'elaborazione di PHP. Spesso possono includere avvisi di deprecazione, che indicano che il codice potrebbe utilizzare una versione obsoleta di PHP e che deve essere aggiornato. Un avviso nei registri PHP potrebbe non essere necessariamente correlato al problema che stai riscontrando.
E_PARSE Si tratta di un errore di analisi in fase di compilazione. Questo di solito è indicativo di un errore di sintassi PHP, come un punto e virgola mancante;, parentesi (), parentesi aperte o chiuse{} o qualsiasi altro errore di sintassi. È necessario rivedere il file e la riga specificati nel messaggio di errore e cercare potenziali errori di sintassi.
E_NOTICE Si tratta di un avviso di runtime causato da un errore nel codice. Si tratta in genere di errori PHP che non provocano la chiusura degli script. Questi errori indicano che potrebbe esserci un problema con il codice, ma potrebbe trattarsi di una normale funzionalità dello script. Una causa comune può essere l'uso di una variabile PHP non definita. Un avviso nei registri PHP potrebbe non essere necessariamente correlato al problema che stai riscontrando.

Aggiorna i tuoi componenti WordPress

Quando la versione, i temi o i plug -in di WordPress vengono aggiornati, possono verificarsi conflitti con gli altri. L'aggiornamento di tutti i componenti di WordPress può riportare il sito alla normalità.

Aggiorna quanto segue alle versioni più recenti:

Passaggi successivi

  • Se il problema persiste dopo la risoluzione dei problemi di cui sopra, potrebbe essere necessario disinstallare e reinstallare il plug -in .

Altre informazioni